Bug 65809 - /etc/rc.d/init.d/iptables should use absolute paths
/etc/rc.d/init.d/iptables should use absolute paths
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
7.3
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-31 17:11 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-01 05:43:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-31 17:11:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
/etc/rc.d/init.d/iptables should use absolute paths (e.g. "/sbin/iptables"
instead of just "iptables").  Reason: by default, /usr/local is in the path.  It
is not uncommon for a collection of machines to have a shared (NFS-mounted)
/usr/local. /etc/rc.d/init.d/iptables restart will then hang the machine; after
the old rules are flushed, if your default policy is anything other than ACCEPT
the machine will lose touch with its NFS-mounted partitions.  If /usr/local is
in the PATH and is NFS-mounted, then the machine will hang waiting to hear back
from /usr/local.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run on a system with /usr/local NFS mounted
2. Disable ipchains
3. Set up iptables with a default policy of DROP
4. /etc/rc.d/init.d/iptables restart

	

Actual Results:  Machine hangs

Expected Results:
Flushing all current rules and user defined chains:        [  OK  ]
Clearing all current rules and user defined chains:        [  OK  ]
Applying iptables firewall rules:                          [  OK  ]
                                                           [  OK  ]


Additional info:

Fixing this isn't enough; the various calls to "echo" and so forth in
/etc/rc.d/init.d/functions (in the initscripts RPM) also need to have absolute
paths (/bin/echo instead of just echo, etc.).

Note You need to log in before you can comment on or make changes to this bug.